package cn.stylefeng.team.meta.modular.service;

import cn.stylefeng.team.meta.api.UserDictServiceApi;
import cn.stylefeng.team.meta.modular.entity.MetaUserDict;
import cn.stylefeng.team.meta.modular.pojo.request.BusinessGenerateRequest;
import cn.stylefeng.team.meta.modular.pojo.request.MetaUserDictRequest;
import cn.stylefeng.team.meta.modular.pojo.response.UserDictTypeResponse;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface MetaUserDictService extends IService<MetaUserDict>, UserDictServiceApi {

    void add(MetaUserDictRequest metaUserDictRequest);

    void del(MetaUserDictRequest metaUserDictRequest);

    void edit(MetaUserDictRequest metaUserDictRequest);

    MetaUserDict detail(MetaUserDictRequest metaUserDictRequest);

    List<UserDictTypeResponse> findDictTypeList(MetaUserDictRequest metaUserDictRequest);

    void updateDictItemList(MetaUserDictRequest metaUserDictRequest);

    List<MetaUserDict> getCurrentProjectDictList(BusinessGenerateRequest businessGenerateRequest);

}
